Package uk.ac.starlink.topcat.plot

## Class SurfaceZoomRegionList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList
    - - uk.ac.starlink.topcat.plot.SurfaceZoomRegionList

- All Implemented Interfaces:
    `java.lang.Iterable`, `java.util.Collection`, `java.util.List`

      public abstract class SurfaceZoomRegionList
      extends java.util.AbstractList

  List of zoom regions for use with a `SurfacePlot`. The number of elements changes according to the current state of the plot, so don't copy it into an array and use that instead.
  Since:
    2 Apr 2008
  Author:
    Mark Taylor

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SurfaceZoomRegionList​(uk.ac.starlink.ttools.plot.SurfacePlot plot)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `get​(int index)` |
    `void` | `reconfigure()` | Configures this list appropriately for the current state of the plot.
    `protected abstract void` | `requestZoom​(double[][] bounds)` | Invoked when the user indicates by mouse gestures that a zoomed view is wanted.
    `int` | `size()` |

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.util.AbstractList

      `add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SurfaceZoomRegionList

          public SurfaceZoomRegionList​(uk.ac.starlink.ttools.plot.SurfacePlot plot)

      Constructor.
      Parameters:
        `plot` - plot for zooming

  - ### Method Detail

    - #### requestZoom

          protected abstract void requestZoom​(double[][] bounds)

      Invoked when the user indicates by mouse gestures that a zoomed view is wanted. The elements of the `bounds` array are 2-element `double[]` arrays giving (lower, upper) bounds of the range along each axis which is required. A null element indicates that no zooming along that axis is required. Boundary values are in data coordinates.
      Parameters:
        `bounds` - zoom request details

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection`
      Specified by:
        `size` in interface `java.util.List`
      Specified by:
        `size` in class `java.util.AbstractCollection`

    - #### get

          public java.lang.Object get​(int index)

      Specified by:
        `get` in interface `java.util.List`
      Specified by:
        `get` in class `java.util.AbstractList`

    - #### reconfigure

          public void reconfigure()

      Configures this list appropriately for the current state of the plot. Should be called whenever plot geometry changes (including before first use).

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.